# configureVirtualBackground()

Enables or modifies (if already enabled) the virtual background for local user with given options. Either `blur`, `image` or `imageUrl` field needs to be specified.&#x20;

For a video background you must specify both `videoUrl` and `thumbnailUrl`. The `thumbnailUrl` is the preview image in the virtual background selector.

{% hint style="warning" %}
We don't post-process or modify the video background file. You must ensure you provide a reasonable sized video background (e.g. a few MBs at most).
{% endhint %}

The **enforce** param is optional and if set to true, then it will make it impossible for the local user to manually change the virtual background once entered inside the room.

```typescript
VirtualBackgroundOptions {
    enforce?: boolean;
    blur?: 'balanced' | 'strong';
    image?: string;
    imageUrl?: string;
    videoUrl?: string;
    thumbnailUrl?: string;
}
```

Possible predefined values for image are: \
"**office**", "**office2**", "**beach**", "**fireworks**", "**bookshelf**", "**forest**", "**mountain**", "**savannah**"

```javascript
//Enables strong blur of the background for the local user
sambaFrame.configureVirtualBackground({blur: 'strong'});

/*Enables balanced blur of the background for the local user and enforces it,
  so the user cannot change it once inside the room*/
sambaFrame.configureVirtualBackground({blur: 'balanced', enforce: true});

//Sets a forest virtual background for the local user
sambaFrame.configureVirtualBackground({image: 'forest'});

//Sets an image from a public url as a virtual background for the local user
sambaFrame.configureVirtualBackground({imageUrl: 'https://someUrlOfAnImageHere'});

//Sets a video from a public url as a virtual background for the local user
sambaFrame.configureVirtualBackground({
    videoUrl: 'https://someUrlOfAVideoHere',
    thumbnailUrl: 'https://someUrlOfTheVideoThumbnailImage'
});
```

**Sample use cases**:&#x20;

* You may want to control virtual background for the local user dynamically during the meeting.

{% hint style="info" %}
The related events are [virtualBackgroundChanged](/reference/sdk/events/virtualbackgroundchanged.md) and [virtualBackgroundDisabled](/reference/sdk/events/virtualbackgrounddisabled.md) \
if you want to be informed when the virtual background settings have been changed.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/sdk/methods/configurevirtualbackground.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
